local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.Routes(container)

--[[ Scroll Frame ]]--
local scrollcontainer = AceGUI:Create("SimpleGroup") 
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) 
scrollcontainer:SetLayout("Fill") 

container:AddChild(scrollcontainer)

local scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") 
scrollcontainer:AddChild(scroll)
  








--[[ Heading ]]--

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Requirments:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CRoutes".."|cffffffff Routes on your worldmap and minimap!")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CRoutes Import/Export".."|cffffffff Import/Export extension for Routes addon")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

--[[ Mining Routes ]]--

  local MiningRoutes = AceGUI:Create("Button")
  MiningRoutes:SetText("Mining Routes")
  MiningRoutes:SetWidth(350)
  scroll:AddChild(MiningRoutes)
  MiningRoutes:SetCallback("OnClick", function() 

  core.MiningRoutes(container)
  
  end)
  
  
   local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CRoutes".."|cffffffff Mining Routes in this section is Catagorised in Latest Expansion To Oldest to help users find Current Content Routes above Others")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  
--[[ Herbalism Routes ]]--
  local HerbalismRoutes = AceGUI:Create("Button")
  HerbalismRoutes:SetText("Herbalism Routes")
  HerbalismRoutes:SetWidth(350)
  scroll:AddChild(HerbalismRoutes)
  HerbalismRoutes:SetCallback("OnClick", function() 

  core.HerbRoutes(container)
  
  end)
 
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CRoutes".."|cffffffff Herbalism Routes in this section is Catagorised in Latest Expansion To Oldest to help users find Current Content Routes above Others")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 
  
  
--[[ Multi Farm Routes ]]--  
  local MultiFarmRoutes = AceGUI:Create("Button")
  MultiFarmRoutes:SetText("Multi Farm Routes")
  MultiFarmRoutes:SetWidth(350)
  scroll:AddChild(MultiFarmRoutes)
  MultiFarmRoutes:SetCallback("OnClick", function() 

  core.MultifarmRoutes(container)
  
  end)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CRoutes".."|cffffffff MultiFarms are relating to using both Herbalism and Mining for Farming Routes.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  
  
  
  
  
  
  
  
  

  
  
  
  
end